Subject: Re: [PATCH 0/2] Two janitorial patches for builtin/blame.c

From: Jonathan Nieder <[email-masked]>
Date: Tue, 21 Jan 2014 09:44:48 -0800

David Kastrup wrote:

> So my understanding is that when we are talking about _significant_
> additions to builtin/blame.c (the current patches don't qualify as such
> really) that
>
> a) builtin/blame.c is licensed under GPLv2
> b) significant contributions to it will not be relicensed under
> different licenses without the respective contributors' explicit
> consent.

Yep, that's how it works.

[...]
> The combination of the SubmittingPatches text with the file notices in
> builtin/blame.c is not really painting a full picture of the situation.

Any idea how this could be made more clear?  E.g., maybe we should
bite the bullet and add a line to all source files that don't already
state a license:

	/*
	 * License: GPLv2.  See COPYING for details.
	 */